LootJS.modifiers((event) => {
  event.addBlockLootModifier("minecraft:gravel").removeLoot("twigs:pebble");
  event.addLootTypeModifier(LootType.CHEST).removeLoot("irons_spellbooks:concentration_amulet");
  event.addLootTypeModifier(LootType.ENTITY).removeLoot("artifacts:everlasting_beef");
  event.addLootTypeModifier(LootType.ENTITY).removeLoot("artifacts:eternal_steak");
  event.addLootTypeModifier(LootType.CHEST).removeLoot("irons_spellbooks:concentration_amulet");
  event.addBlockLootModifier("minecraft:gravel").addAlternativesLoot(
    LootEntry.of("overgeared:knappable_rock").when((c) => c.randomChance(0.2))
  );
  event.addLootTypeModifier(LootType.CHEST)
    .removeLoot("artifacts:onion_ring")
    .removeLoot("artifacts:whoopee_cushion")
    .removeLoot("artifacts:running_shoes")
    .removeLoot("artifacts:night_vision_goggles")
    .removeLoot("artifacts:snorkel")
    .removeLoot("artifacts:plastic_drinking_hat")
    .removeLoot("artifacts:novelty_drinking_hat")
    .removeLoot("artifacts:pickaxe_heater")
    .removeLoot("quark:diamond_heart");
  event.addLootTypeModifier(LootType.ENTITY)
    .removeLoot("artifacts:onion_ring")
    .removeLoot("artifacts:whoopee_cushion")
    .removeLoot("artifacts:running_shoes")
    .removeLoot("artifacts:night_vision_goggles")
    .removeLoot("artifacts:snorkel")
    .removeLoot("artifacts:plastic_drinking_hat")
    .removeLoot("artifacts:novelty_drinking_hat")
    .removeLoot("artifacts:pickaxe_heater")
    .removeLoot("quark:diamond_heart");
  event.addEntityLootModifier("alexsmobs:skreecher")
    .addLoot("minecraft:echo_shard");
  event.addBlockLootModifier("alloy_smelter:forge_controller_tier1")
    .addLoot("alloy_smelter:forge_controller_tier1");
  event.addBlockLootModifier("alloy_smelter:forge_controller_tier2")
    .addLoot("alloy_smelter:forge_controller_tier2");
  event.addLootTypeModifier(LootType.ENTITY).removeLoot("irons_spellbooks:blaze_spell_book");
  event.addLootTypeModifier(LootType.CHEST)
    .removeLoot("cataclysm:ignitium_upgrade_smithing_template")
    .removeLoot("cataclysm:cursium_upgrade_smithing_template");
  event.addLootTypeModifier(LootType.ENTITY)
    .removeLoot("cataclysm:ignitium_upgrade_smithing_template")
    .removeLoot("cataclysm:cursium_upgrade_smithing_template");

  event
    .addEntityLootModifier("minecraft:creeper")
    .addLoot("minecraft:gunpowder");

  event.addEntityLootModifier("minecraft:goat")
    .addLoot("minecraft:bone").randomChance(1)
    .addLoot("minecraft:bone").randomChance(0.5)
    .addLoot("minecraft:mutton").randomChance(1)
    .addLoot("minecraft:mutton").randomChance(0.5)
    .addLoot("minecraft:mutton").randomChance(0.3)
    .addLoot("fleshz:hide").randomChance(1)
    .addLoot("fleshz:hide").randomChance(0.5);
});